# Interface methods for submodule: BinaryMorphologicalClosingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import KernelImageFilterProxy as _KernelImageFilterProxy


# Interface methods for class: BinaryMorphologicalClosingImageFilter
class BinaryMorphologicalClosingImageFilterProxy(_KernelImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> float:
		""""""
		...

	@overload
	def GetForegroundValue(self) -> int:
		""""""
		...

	def SetSafeBorder(self, _arg: bool) -> None:
		""""""
		...

	def GetSafeBorder(self) -> bool:
		""""""
		...

	def SafeBorderOn(self) -> None:
		""""""
		...

	def SafeBorderOff(self) -> None:
		""""""
		...

